Public
Get a public space
Returns the public live-space page payload. Returns 404 if the space is not found or is not publicly visible.
GET
/
api
/
v1
/
public
/
spaces
/
{id}
Get a public space
curl --request GET \
--url https://api.linebundle.com/api/v1/public/spaces/{id}import requests
url = "https://api.linebundle.com/api/v1/public/spaces/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.linebundle.com/api/v1/public/spaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/public/spaces/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/public/spaces/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linebundle.com/api/v1/public/spaces/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/public/spaces/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"managers": [
{
"display_name": "<string>",
"initials": "<string>",
"avatar_url": "<string>"
}
],
"members": [
{
"display_name": "<string>",
"initials": "<string>",
"avatar_url": "<string>"
}
],
"space": {
"description": "<string>",
"id": 123,
"timezone": "<string>",
"title": "<string>",
"visibility": 123,
"parent_id": 123,
"published_at": "2023-11-07T05:31:56Z"
},
"stats": {
"events_count": 123,
"managers_count": 123,
"members_count": 123,
"subspaces_count": 123
},
"subspaces": [
{
"description": "<string>",
"id": 123,
"timezone": "<string>",
"title": "<string>",
"visibility": 123,
"parent_id": 123,
"published_at": "2023-11-07T05:31:56Z"
}
],
"upcoming_events": [
{
"id": 123,
"timezone": "<string>",
"title": "<string>",
"address": "<string>",
"description": "<string>",
"end_dt": "2023-11-07T05:31:56Z",
"start_dt": "2023-11-07T05:31:56Z"
}
],
"$schema": "https://api.linebundle.com/schemas/SpacePage.json",
"organization": {
"id": "<string>",
"name": "<string>"
},
"owner": {
"name": "<string>",
"type": "<string>",
"avatar_url": "<string>"
},
"viewer": {
"can_manage": true,
"can_open_in_studio": true,
"can_request_join": true
}
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Path Parameters
Space ID or public reference
Response
OK
Public manager previews
Show child attributes
Show child attributes
Public member previews
Show child attributes
Show child attributes
Public space profile
Show child attributes
Show child attributes
Public counters
Show child attributes
Show child attributes
Public child spaces
Show child attributes
Show child attributes
Public linked upcoming events
Show child attributes
Show child attributes
A URL to the JSON Schema for this object.
Example:
"https://api.linebundle.com/schemas/SpacePage.json"
Owning organization
Show child attributes
Show child attributes
Public owner or maintainer
Show child attributes
Show child attributes
Optional visitor capabilities
Show child attributes
Show child attributes
Last modified on May 14, 2026
⌘I
Get a public space
curl --request GET \
--url https://api.linebundle.com/api/v1/public/spaces/{id}import requests
url = "https://api.linebundle.com/api/v1/public/spaces/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.linebundle.com/api/v1/public/spaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/public/spaces/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/public/spaces/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linebundle.com/api/v1/public/spaces/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/public/spaces/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"managers": [
{
"display_name": "<string>",
"initials": "<string>",
"avatar_url": "<string>"
}
],
"members": [
{
"display_name": "<string>",
"initials": "<string>",
"avatar_url": "<string>"
}
],
"space": {
"description": "<string>",
"id": 123,
"timezone": "<string>",
"title": "<string>",
"visibility": 123,
"parent_id": 123,
"published_at": "2023-11-07T05:31:56Z"
},
"stats": {
"events_count": 123,
"managers_count": 123,
"members_count": 123,
"subspaces_count": 123
},
"subspaces": [
{
"description": "<string>",
"id": 123,
"timezone": "<string>",
"title": "<string>",
"visibility": 123,
"parent_id": 123,
"published_at": "2023-11-07T05:31:56Z"
}
],
"upcoming_events": [
{
"id": 123,
"timezone": "<string>",
"title": "<string>",
"address": "<string>",
"description": "<string>",
"end_dt": "2023-11-07T05:31:56Z",
"start_dt": "2023-11-07T05:31:56Z"
}
],
"$schema": "https://api.linebundle.com/schemas/SpacePage.json",
"organization": {
"id": "<string>",
"name": "<string>"
},
"owner": {
"name": "<string>",
"type": "<string>",
"avatar_url": "<string>"
},
"viewer": {
"can_manage": true,
"can_open_in_studio": true,
"can_request_join": true
}
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}